/* 
 * Firepoint
 * A fire monitoring app
 * http://launchpad.net/firepoint
 *
 * Copyright 2011, 2012 Inessa Sofronova, Artem Kalinin, Artem Timonin, Alex Troshkov
 * <atroshko@cs.karelia.ru>
 *
 * Firepoint is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 * 
 */
 
import QtQuick 1.1
import com.nokia.meego 1.0

Page {

	orientationLock: 1
    tools: commonTools
    id: about
	Image {
		source: "img/background.png"
	}
	
	Flickable {
		y: 80
		width: parent.width ; height: 800
		contentWidth: parent.width ; 
                contentHeight: commonTools.height +  aboutColumn.height + headerRect.height
	
		Column {
			id: aboutColumn
			spacing: 10
		
			Image {
				source: "img/fp-logo-main.png"
				width: 300
				fillMode: Image.PreserveAspectFit
				anchors.horizontalCenter: parent.horizontalCenter
			}

			Text {
                                text: qsTr("Firepoint helps you to watch for fires around the world on Google Maps. Application alarms you when a near fire detected. Firepoints helps you to learn basis of behaviour in forest and during the fire. \n\n Fire points are provided by Fire Information For Resource Management System, FIRMS: http://firefly.geog.umd.edu/firms/ \n\n http://launchpad.net/firepoint \n\n All trademarks are the property of their respective owners. \n\n\n Firepoint, fire monitoring app \n\n Copyright (C) 2012  Inessa Sofronova, Artem Kalinin, Artem Timonin, Alex Troshkov, Kirill Kulakov \n\nThis program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. \n\n This applications are the part of grant KA179 of Karelia ENPI programme, which is co-funded by the European Union, the Russian Federation and the Republic of Finland. \n\n This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details. \n\n You should have received a copy of the GNU General Public License along with this program; If not, see <http://www.gnu.org/licenses/>. \n\n Petrozavodsk State University, 2011-2012")

				x: parent.x + 20
				wrapMode: Text.WordWrap 
				font.pixelSize:20 
				color: "white"
				id:about_txt
				width:455 
                                //height:533
				font.family: 'Nokia Pure Text' 
			}
		}
	}
	
	Item {
        id: headerRect
        anchors.top:about.top; anchors.left: about.left; anchors.right: about.right
        width: about.width ; height: 78
        
        Image {
			width: parent.width
			height: 78
			source: "img/header.png"
			fillMode: Image.Tile
        }
        
        Text {
            id: titleText
            color: "white"
            x: parent.x + 20
            anchors.verticalCenter: headerRect.verticalCenter          
            
            font.pixelSize: 26
            text: qsTr("About")
            font.family: 'Nokia Pure Text'
        }
    }
    
     ToolBarLayout {
		ToolIcon {
			iconId: "toolbar-back"
			onClicked: pageStack.pop();
		}    
        id: commonTools
        visible: true            
      }      
}
