/* 
 * Firepoint
 * A fire monitoring app
 * http://launchpad.net/firepoint
 *
 * Copyright 2011, 2012 Inessa Sofronova, Artem Kalinin, Artem Timonin, Alex Troshkov
 * <atroshko@cs.karelia.ru>
 *
 * Firepoint is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 * 
 */
 
import QtQuick 1.1
import com.nokia.meego 1.0

Page {
	orientationLock: 1
    id:comicsMenu
    tools: commonTools
      
	Image {
		source: "img/background.png"
	}
        Flickable {
                y: headerRect.height
                width: parent.width ; height: parent.height
                contentWidth: parent.width ;
                contentHeight: comicsColumn.height + commonTools.height
                //boundsBehavior: "StopAtBounds"
                anchors.top: headerRect.bottom
		
	Column {	

		id: comicsColumn
                anchors.horizontalCenter: parent.horizontalCenter
                spacing: 20

                Image {
        id: c1_1
        source: "img/c1_title.png"
        width: comicsMenu.width
        fillMode: Image.PreserveAspectFit
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.leftMargin: 10
        anchors.rightMargin: 10
        MouseArea{
            anchors.fill: parent
            onClicked: appWindow.pageStack.push(Qt.resolvedUrl("ComicsTwo.qml"));
        }
    }

    Text {
        x: c1_1.x + 5
        color: "white"
        font.pixelSize:20
        text: qsTr("What to do in case of fire")
        font.family: 'Nokia Pure Text'
        wrapMode: Text.WordWrap
        anchors.horizontalCenter: parent.horizontalCenter
        MouseArea{
            anchors.fill: parent
            onClicked: appWindow.pageStack.push(Qt.resolvedUrl("ComicsTwo.qml"));
        }
    }


    Image {
        id: c1_2
        source: "img/c2_title.png"
        width: comicsMenu.width
        fillMode: Image.PreserveAspectFit
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.leftMargin: 10
        anchors.rightMargin: 10
        MouseArea{
            anchors.fill: parent
            onClicked: appWindow.pageStack.push(Qt.resolvedUrl("ComicsOne.qml"));
        }

    }
    Text {
        x: c1_2.x + 5
        color: "white"
        font.pixelSize:20
        text: qsTr("How not to cause a fire")
        font.family: 'Nokia Pure Text'
        wrapMode: Text.WordWrap
        anchors.horizontalCenter: parent.horizontalCenter
        MouseArea{
            anchors.fill: parent
            onClicked: appWindow.pageStack.push(Qt.resolvedUrl("ComicsOne.qml"));
        }
    }
		
	}
        }
        Image {
            id: headerRect
            anchors.top:comicsMenu.top; anchors.left: comicsMenu.left; anchors.right: comicsMenu.right
            width: comicsMenu.width ;
            //width: parent.width
            height: comicsMenu.height/10
            source: "img/header.png"
            fillMode: Image.TileHorizontally


            Text {
                id: titleText
                color: "white"
                x: parent.x + 20
                anchors.verticalCenter: headerRect.verticalCenter

                font.pixelSize: 26
                text: qsTr("How-to's")
               // font.family: 'Nokia Pure Text'
            }
        }

        ToolBarLayout {
                   ToolIcon {
                           iconId: "toolbar-back"
                           onClicked: pageStack.pop();
                   }
           id: commonTools
           visible: true
         }
}
