/*
 * Firepoint
 * A fire monitoring app
 * http://launchpad.net/firepoint
 *
 * Copyright 2011, 2012 Inessa Sofronova, Artem Kalinin, Artem Timonin, Alex Troshkov
 * <atroshko@cs.karelia.ru>
 *
 * Firepoint is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 * 
 */
 
import QtQuick 1.1
import com.nokia.meego 1.0

Page {
	id: comicsOne
	orientationLock: 1

    tools: commonTools
      
	Image {
		source: "img/background.png"

	}
	
	Flickable {
                y: headerRect.height
                width: parent.width ; height: parent.height
		contentWidth: parent.width ; 
                contentHeight: comicsColumn.height + commonTools.height + 10
                //boundsBehavior: "StopAtBounds"
                anchors.top: headerRect.bottom
		Column {

			id: comicsColumn
			anchors.horizontalCenter : parent.horizontalCenter
			spacing: 20
			
			Image {
                id: c1_1
                source: "img/c1_1.png"
                width: comicsOne.width
                fillMode: Image.PreserveAspectFit
                anchors.horizontalCenter: parent.horizontalCenter
                anchors.leftMargin: 10
                anchors.rightMargin: 10
            }

            Text {
                x: c1_1.x + 5
                color: "white"
                font.pixelSize:20
                text: qsTr("Do not kindle a fire during dry season, windy weather or without the necessity.")
                font.family: 'Nokia Pure Text'
                wrapMode: Text.WordWrap
                width: comicsOne.width - 40
                anchors.horizontalCenter: parent.horizontalCenter
            }


            Image {
                id: c1_2
                source: "img/c1_2.png"
                width: comicsOne.width
                fillMode: Image.PreserveAspectFit
                anchors.horizontalCenter: parent.horizontalCenter
                anchors.leftMargin: 10
                anchors.rightMargin: 10
            }
            Text {
                x: c1_2.x + 5
                color: "white"
                font.pixelSize:20
                text: qsTr("Always extinguish the fire completely and do not leave the fire unattended.")
                font.family: 'Nokia Pure Text'
                wrapMode: Text.WordWrap
                width: comicsOne.width - 40
                anchors.horizontalCenter: parent.horizontalCenter
            }



            Image {
                id: c1_3
                source: "img/c1_3.png"
                width: comicsOne.width
                fillMode: Image.PreserveAspectFit
                anchors.horizontalCenter: parent.horizontalCenter
                anchors.leftMargin: 10
                anchors.rightMargin: 10
            }
            Text {
                x: c1_3.x + 5
                color: "white"
                font.pixelSize:20
                text: qsTr("Do not throw cigarettes and matches down.")
                font.family: 'Nokia Pure Text'
                wrapMode: Text.WordWrap
                width: comicsOne.width - 40
                anchors.horizontalCenter: parent.horizontalCenter
            }


            Image {
                id: c1_4
                source: "img/c1_4.png"
                width: comicsOne.width
                fillMode: Image.PreserveAspectFit
                anchors.horizontalCenter: parent.horizontalCenter
                anchors.leftMargin: 10
                anchors.rightMargin: 10
            }
            Text {
                x: c1_4.x + 5
                color: "white"
                font.pixelSize:20
                text: qsTr("Do not throw trash down.")
                font.family: 'Nokia Pure Text'
                wrapMode: Text.WordWrap
                width: comicsOne.width - 40
                anchors.horizontalCenter: parent.horizontalCenter
            }

            Image {

                id: c1_5
                source: "img/c1_5.png"
                width: comicsOne.width
                fillMode: Image.PreserveAspectFit
                anchors.horizontalCenter: parent.horizontalCenter
                anchors.leftMargin: 10
                anchors.rightMargin: 10
            }

            Text {
                x: c1_5.x + 5
                color: "white"
                font.pixelSize:20
                text: qsTr("Do not kindle the campfires near trees. Always fence campfires with stones.")
                font.family: 'Nokia Pure Text'
                wrapMode: Text.WordWrap
                width: comicsOne.width - 40
                anchors.horizontalCenter: parent.horizontalCenter
            }


		}
	}
	

        Image {
            id: headerRect
            anchors.top:comicsOne.top; anchors.left: comicsOne.left; anchors.right: comicsOne.right
            width: comicsOne.width ;
            //width: parent.width
            height: comicsOne.height/10
            source: "img/header.png"
            fillMode: Image.TileHorizontally


            Text {
                id: titleText
                color: "white"
                x: parent.x + 20
                anchors.verticalCenter: headerRect.verticalCenter

                font.pixelSize: 26
                text: qsTr("How not to cause a fire")
               // font.family: 'Nokia Pure Text'
            }
        }
    
        ToolBarLayout {
                   ToolIcon {
                           iconId: "toolbar-back"
                           onClicked: pageStack.pop();
                   }
           id: commonTools
           visible: true
         }
}
