/*
 * Firepoint
 * A fire monitoring app
 * http://launchpad.net/firepoint
 *
 * Copyright 2011, 2012 Inessa Sofronova, Artem Kalinin, Artem Timonin, Alex Troshkov
 * <atroshko@cs.karelia.ru>
 *
 * Firepoint is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 */

import QtQuick 1.1
import com.nokia.meego 1.0

Page {
        id: comicsTwo
        orientationLock: 1

    tools: commonTools

        Image {
                source: "img/background.png"

        }

        Flickable {
                y: headerRect.height
                width: parent.width ; height: parent.height
                contentWidth: parent.width ;
                contentHeight: comicsColumn.height + commonTools.height + 10
                //boundsBehavior: "StopAtBounds"
                anchors.top: headerRect.bottom
                Column {

                        id: comicsColumn
                        anchors.horizontalCenter : parent.horizontalCenter
                        spacing: 20

                        Image {
                id: c1_1
                source: "img/c2_0.png"
                width: comicsTwo.width
                fillMode: Image.PreserveAspectFit
                anchors.horizontalCenter: parent.horizontalCenter
                anchors.leftMargin: 10
                anchors.rightMargin: 10
            }

            Text {
                x: c1_1.x + 5
                color: "white"
                font.pixelSize:20
                text: qsTr("Call emergency and report the marks of the place where you are (lake, river etc)")
                font.family: 'Nokia Pure Text'
                wrapMode: Text.WordWrap
                width: comicsTwo.width - 40
                anchors.horizontalCenter: parent.horizontalCenter
            }


            Image {
                id: c1_2
                source: "img/c2_1.png"
                width: comicsTwo.width
                fillMode: Image.PreserveAspectFit
                anchors.horizontalCenter: parent.horizontalCenter
                anchors.leftMargin: 10
                anchors.rightMargin: 10
            }
            Text {
                x: c1_2.x + 5
                color: "white"
                font.pixelSize:20
                text: qsTr("Move against the wind and perpendicularly to edge of the fire")
                font.family: 'Nokia Pure Text'
                wrapMode: Text.WordWrap
                width: comicsTwo.width - 40
                anchors.horizontalCenter: parent.horizontalCenter
            }



            Image {
                id: c1_3
                source: "img/c2_2.png"
                width: comicsTwo.width
                fillMode: Image.PreserveAspectFit
                anchors.horizontalCenter: parent.horizontalCenter
                anchors.leftMargin: 10
                anchors.rightMargin: 10
            }
            Text {
                x: c1_3.x + 5
                color: "white"
                font.pixelSize:20
                text: qsTr("Stay calm. Choose a path by a glade/road/river")
                font.family: 'Nokia Pure Text'
                wrapMode: Text.WordWrap
                width: comicsTwo.width - 40
                anchors.horizontalCenter: parent.horizontalCenter
            }


            Image {
                id: c1_4
                source: "img/c2_3.png"
                width: comicsTwo.width
                fillMode: Image.PreserveAspectFit
                anchors.horizontalCenter: parent.horizontalCenter
                anchors.leftMargin: 10
                anchors.rightMargin: 10
            }
            Text {
                x: c1_4.x + 5
                color: "white"
                font.pixelSize:20
                text: qsTr("Plunge into any pond (except swamp!)")
                font.family: 'Nokia Pure Text'
                wrapMode: Text.WordWrap
                width: comicsTwo.width - 40
                anchors.horizontalCenter: parent.horizontalCenter
            }

            Image {

                id: c1_5
                source: "img/c2_4.png"
                width: comicsTwo.width
                fillMode: Image.PreserveAspectFit
                anchors.horizontalCenter: parent.horizontalCenter
                anchors.leftMargin: 10
                anchors.rightMargin: 10
            }

            Text {
                x: c1_5.x + 5
                color: "white"
                font.pixelSize:20
                text: qsTr("Find a safe place (burnt area/riverbed)")
                font.family: 'Nokia Pure Text'
                wrapMode: Text.WordWrap
                width: comicsTwo.width - 40
                anchors.horizontalCenter: parent.horizontalCenter
            }

            Image {

                id: c2_5
                source: "img/c2_5.png"
                width: comicsTwo.width
                fillMode: Image.PreserveAspectFit
                anchors.horizontalCenter: parent.horizontalCenter
                anchors.leftMargin: 10
                anchors.rightMargin: 10
            }

            Text {
                x: c2_5.x + 5
                color: "white"
                font.pixelSize:20
                text: qsTr("Cover your mouth and nose with a piece of wet tissue")
                font.family: 'Nokia Pure Text'
                wrapMode: Text.WordWrap
                width: comicsTwo.width - 40
                anchors.horizontalCenter: parent.horizontalCenter
            }


                }
        }


        Image {
            id: headerRect
            anchors.top:comicsTwo.top; anchors.left: comicsTwo.left; anchors.right: comicsTwo.right
            width: comicsTwo.width ;
            //width: parent.width
            height: comicsTwo.height/10
            source: "img/header.png"
            fillMode: Image.TileHorizontally


            Text {
                id: titleText
                color: "white"
                x: parent.x + 20
                anchors.verticalCenter: headerRect.verticalCenter

                font.pixelSize: 26
                text: qsTr("What to do in case of fire")
               // font.family: 'Nokia Pure Text'
            }
        }

        ToolBarLayout {
                   ToolIcon {
                           iconId: "toolbar-back"
                           onClicked: pageStack.pop();
                   }
           id: commonTools
           visible: true
         }
}
