/* 
 * Firepoint
 * A fire monitoring app
 * http://launchpad.net/firepoint
 *
 * Copyright 2011, 2012 Inessa Sofronova, Artem Kalinin, Artem Timonin, Alex Troshkov
 * <atroshko@cs.karelia.ru>
 *
 * Firepoint is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 * 
 */
import QtQuick 1.1
import com.nokia.meego 1.0

Page {
	orientationLock: 1
    tools: commonTools
    id: help
	Image {
		source: "img/background.png"
	}
	
	Flickable {
            width: help.width ; height: help.height
            contentWidth: parent.width ;
            contentHeight: commonTools.height +  highlight.height + lightson.height + headerRect.height*2.5 + 20

            y: headerRect.height
            anchors.top: headerRect.bottom
	


	
	Image {
                id:mainImage
		source: 'img/screen-3.png'
                width: help.width/2
                y:headerRect.height*1.5
                anchors.horizontalCenter: parent.horizontalCenter
		fillMode: Image.PreserveAspectFit
		
		Rectangle {
			id: dim
			color: 'black'
			height: parent.height
			width: parent.width
			opacity: 0.7
		}

	
	Item {
		id: highlight
                width: mainImage.width
                height: mainImage.height
		
		Text {
			color: 'white'
                        anchors.horizontalCenter : parent.horizontalCenter
                        anchors.bottom: parent.bottom
                        anchors.margins: mainImage.height * 0.3
			text: qsTr ('Select one of two comics')
                        font.pixelSize:20
			font.family: 'Nokia Pure Text'
		}
		
		Text {
			color: 'white'
                        anchors.bottom: parent.bottom
                        anchors.margins: mainImage.height * 0.1
                        anchors.horizontalCenter : parent.horizontalCenter
			text: qsTr ('Then slide up-down to read')
                        font.pixelSize:20
			font.family: 'Nokia Pure Text'
		}
	}
        }
	Button {
		id: lightson
		anchors.horizontalCenter : parent.horizontalCenter
                anchors.top: mainImage.bottom
                anchors.margins: 20
		text: qsTr ('Turn on the light')
		onClicked: {
			if (dim.opacity != 0) {
				highlight.visible = false
				dim.opacity = 0
				lightson.text = qsTr ('Turn off the light')
			} else {
				dim.opacity = 0.7
				highlight.visible = true
				lightson.text = qsTr ('Turn on the light')
			}
		}
	}
        }
        Image {
            id: headerRect
            anchors.top:help.top; anchors.left: help.left; anchors.right: help.right
            width: help.width ;
            //width: parent.width
            height: help.height/10
            source: "img/header.png"
            fillMode: Image.TileHorizontally


            Text {
                id: titleText
                color: "white"
                x: parent.x + 20
                anchors.verticalCenter: headerRect.verticalCenter

                font.pixelSize: 26
                text: qsTr("Help: How-to's")
               // font.family: 'Nokia Pure Text'
            }
        }
    
        ToolBarLayout {
                   ToolIcon {
                           iconId: "toolbar-previous"
               onClicked: appWindow.pageStack.pop();
                   }
                   ToolIcon {
                           iconId: "toolbar-next"
                           onClicked: appWindow.pageStack.push(Qt.resolvedUrl("Policy.qml"));
                   }
           id: commonTools
           visible: true
         }
}
