/* 
 * Firepoint
 * A fire monitoring app
 * http://launchpad.net/firepoint
 *
 * Copyright 2011, 2012 Inessa Sofronova, Artem Kalinin, Artem Timonin, Alex Troshkov
 * <atroshko@cs.karelia.ru>
 *
 * Firepoint is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 * 
 */
 
import QtQuick 1.1
import com.nokia.meego 1.0

Page {
	id: mainMenu
        orientationLock: 1
       
	Image {
		source: "img/background_main.png"
    }
    
	Image {
		source: "img/fp-logo-main.png"
		anchors.horizontalCenter: mainMenu.horizontalCenter
    }
    
	Image {
		source: "img/matchbox.png"
		anchors {
			bottom: mainMenu.bottom
			left: mainMenu.left
		}
    }
    
	Image {
		source: "img/dirty.png"
		opacity: 0.20
    }
    
	Image {
		source: "img/cup.png"
		opacity: 0.90
		anchors.right : mainMenu.right
    }
    

	Image {
		source: "img/ribbon_red.png"
		y: 547
		anchors.horizontalCenter: parent.horizontalCenter
    }
    
	Image {
		source: "img/ribbon-portrait-layout.png"
		y: 180
		anchors.horizontalCenter: parent.horizontalCenter
    }
      
    
	Image {
		source: "img/noir-frame.png"
		width: mainMenu.width
		height: mainMenu.height
		fillMode: Image.Stretch
    }
    
	
    Item {
        x: 70 ; y: 220
        width: 330 ; height: 80
        Text {
			text: qsTr ("Map")
			color: "white"
			anchors.centerIn: parent
            font.pixelSize: 50
            font.family: 'Nokia Pure Text'
        }
		
        MouseArea {
            anchors.fill: parent
            onClicked:{
                pageStack.push(Qt.resolvedUrl("Map.qml"));
                doOp();
            }
        }
    }
	
	Item {
		x: 70 ; y: 351
		width: 330 ; height: 80 
		Text {
			text: qsTr ("How-to's")
			color: "white"
			anchors.centerIn: parent
            font.pixelSize: 50
            font.family: 'Nokia Pure Text'
		}
		
		MouseArea {
			anchors.fill: parent
            onClicked: pageStack.push(Qt.resolvedUrl("ComicsMenu.qml"));
		}		
	}
	
	Item {
		x: 70 ; y: 487
		width: 330 ; height: 80 
		Text {
			text: qsTr ("Preferences")
			color: "white"
			anchors.centerIn: parent
            font.pixelSize: 50
            font.family: 'Nokia Pure Text'
		}
		
		MouseArea {
			anchors.fill: parent
            onClicked: pageStack.push(Qt.resolvedUrl("Settings.qml"));
		}		
	}
	
	Item {
        x: 170 ; y: 600
        width: 10 ; height: 40
		Text {
			text: qsTr ("About")
            color: "white"
			anchors.centerIn: parent
            font.pixelSize: 35
            font.family: 'Nokia Pure Text'
            MouseArea {
                anchors.fill: parent
                onClicked: pageStack.push(Qt.resolvedUrl("About.qml"));
            }
        }
	}
	
	Item {
        x: 350 ; y: 680
        width: 10 ; height: 40
		Text {
			text: qsTr ("Help")
            color: "white"
			anchors.centerIn: parent
            font.pixelSize: 35
            font.family: 'Nokia Pure Text'
            MouseArea {
                anchors.fill: parent
                onClicked: pageStack.push(Qt.resolvedUrl("Help.qml"));
            }
        }
	}
	
	Item {
		x: 15 ; y: 645
		width: 140 ; height: 45
		
		Text {
			text: qsTr ("Exit")
			color: "white"
			anchors.centerIn: parent
            font.pixelSize: 35
            font.family: 'Nokia Pure Text'
		}
		
		MouseArea {
			anchors.fill: parent
            onClicked: Qt.quit()
		}		
	}
}
