/*
 * Firepoint
 * A fire monitoring app
 * http://launchpad.net/firepoint
 *
 * Copyright 2011, 2012 Inessa Sofronova, Artem Kalinin, Artem Timonin, Alex Troshkov
 * <atroshko@cs.karelia.ru>
 *
 * Firepoint is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 */

import QtQuick 1.1
import com.nokia.meego 1.0

Page {
    orientationLock: 1
    tools: commonTools
    id: welcome
    Image {
        source: "img/background.png"
    }
    Flickable {
            width: parent.width ; height: welcome.height
            contentWidth: parent.width;
            contentHeight: commonTools.height +  aboutColumn.height + headerRect.height
            y: headerRect.height
            anchors.top: headerRect.bottom

    Column {
                //anchors.top: headerRect.bottom
                id: aboutColumn
                //anchors.margins: aboutColumn.height/3
                spacing: 15
                width: parent.width ;
                anchors.verticalCenter: parent.verticalCenter

            Text {
                text: qsTr("Firepoint will use information about your geographical location via GPS/Intenet provider. Any personal information that you enter in the application are stored in the local storage on your device and will not be sent to developers or third parties.")
                wrapMode: Text.WordWrap
                font.pointSize: 6.5
                x: parent.x + 20
                color: "white"
                id:about_txt
                width: parent.width - 40

                font.family: 'Nokia Pure Text'
            }
        }
    }

        Image {
            id: headerRect
            anchors.top:welcome.top; anchors.left: welcome.left; anchors.right: welcome.right
            width: welcome.width ;
            //width: parent.width
            height: welcome.height/10
            source: "img/header.png"
            fillMode: Image.TileHorizontally


            Text {
                id: titleText
                color: "white"
                x: parent.x + 20
                anchors.verticalCenter: headerRect.verticalCenter

                font.pointSize: 6.5
                text: qsTr("Privacy policy")
               // font.family: 'Nokia Pure Text'
            }
        }

        ToolBarLayout {
                   ToolIcon {
                           iconId: "toolbar-back"
                           onClicked: pageStack.pop();
                   }
           id: commonTools
           visible: true
         }
}
